> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domesystems.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Model Connection Filters



## OpenAPI

````yaml PUT /v1/models/{connection_id}/filters
openapi: 3.0.3
info:
  title: Dome Platform API
  description: Connect and REST APIs for the Dome agent governance platform.
  version: 2.0.0
servers:
  - url: https://api.domesystems.ai
    description: Production
security: []
tags:
  - name: Agents
  - name: Authorization
  - name: Guards
  - name: Tools
  - name: Tool Catalog
  - name: Models
  - name: Model Pools
  - name: Quotas
  - name: Gateways
  - name: Webhooks
  - name: Audit
  - name: Workspaces
  - name: Access Control
  - name: Tenants
  - name: Platform Keys
  - name: Enrollment
  - name: Platform
  - name: Identity
paths:
  /v1/models/{connection_id}/filters:
    put:
      tags:
        - Models
      operationId: Management_SetModelConnectionFilters
      parameters:
        - name: connection_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SetModelConnectionFiltersRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SetModelConnectionFiltersResponse'
components:
  schemas:
    SetModelConnectionFiltersRequest:
      type: object
      properties:
        workspace_id:
          type: string
        connection_id:
          type: string
        direction:
          type: integer
          format: enum
        filter_ids:
          type: array
          items:
            type: string
          description: >-
            Ordered filter ids; replaces the entire list for {connection,
            direction}.
             Every filter must be `text`-kind.
    SetModelConnectionFiltersResponse:
      type: object
      properties:
        assignments:
          type: array
          items:
            $ref: '#/components/schemas/ModelFilterAssignment'
    ModelFilterAssignment:
      type: object
      properties:
        filter_id:
          type: string
        direction:
          type: integer
          format: enum
        sort_order:
          type: integer
          format: int32
      description: >-
        ModelFilterAssignment is one binding of a Filter to a model connection
        at a
         position in the ordered chain for a direction. filter_id is the stable
         logical id (the binding follows the active version).

````